<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) DIGITEO - Allan CORNET - 2010
 *
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg"  xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" xmlns:scilab="http://www.scilab.org" xml:lang="en" xml:id="writeXmlExcel"> 
  <info>
    <pubdate>$LastChangedDate: 2008-03-26 09:50:39 +0100 (mer., 26 mars 2008)
    $</pubdate>
  </info>

  <refnamediv>
    <refname>writeXmlExcel</refname>

    <refpurpose>write excel xml file on any platform</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>writeXmlExcel(filename, M [, titleDocument [, authorDocument]]</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Parameters</title>

    <variablelist>
      <varlistentry>
        <term>filename</term>
        <listitem>
          <para>output filename</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>M</term>
        <listitem>
          <para>Matrix of type integer, string, boolean or real.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>titleDocument</term>
        <listitem>
          <para>worksheet Name, default "Sheet1".</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>authorDocument</term>
        <listitem>
          <para>author document, default "".</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <para>Writes data to an Excel xml file (2003) on any platform. It is compatible
    with excel and LibreOffice.</para>
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example">M = eye(4,4);
writeXmlExcel(TMPDIR + "/eye_matrix.xml", M);

M = [%nan, -%inf; 1, %inf];
writeXmlExcel(TMPDIR + "/naninf_matrix.xml", M);

M = ['Hello' 'writeXmlExcel'; 'Allan CORNET', '2010'];
writeXmlExcel(TMPDIR + "/string_matrix.xml", M);

M = [%t, %f; %f, %t];
writeXmlExcel(TMPDIR + "/boolean_matrix.xml", M);
</programlisting>
  </refsection>

  <refsection>
    <title>Author</title>

    <simplelist type="vert">
      <member>Allan CORNET - 2010</member>
    </simplelist>
  </refsection>
</refentry>
